/*
 * 0 = Purple
 * 1 = Orange
 * 2 = Black
 * 4 = White
 */

*::selection {
	background-color: hsla(0, 0%, 0%, .3);
}

/* Default White Background */
.entry-content {
	p,h1,h2,h3,h4,h5,h6,a,li {
		color: var(--ast-global-color-0);
	}
}


/* Purple Background */
.wp-block-group.is-style-rev21-bold {
	background-color: var(--ast-global-color-0);
	p,h1,h2,h3,h4,h5,h6,a,li {
		color: var(--ast-global-color-4);
	}
	.wp-block-button {
		/* Primary/Fill buttons */
		.wp-element-button, .wp-block-button__link {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-0);
			background-color: var(--ast-global-color-4);
		}
		&:hover .wp-element-button, &:hover .wp-block-button__link {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-4);
			background-color: var(--ast-global-color-0);
		}
		/* Secondary/Outline buttons */
		&.is-style-outline .wp-element-button {
			border: 5px solid var(--ast-global-color-2);
			color: var(--ast-global-color-2);
			background-color: var(--ast-global-color-1);
		}
		&.is-style-outline:hover .wp-element-button {
			border: 5px solid var(--ast-global-color-2);
			color: var(--ast-global-color-2);
			background-color: var(--ast-global-color-4);
		}
	}
}


/* Orange Background */
.wp-block-group.is-style-rev21-bright {
	background-color: var(--ast-global-color-1);
	p,h1,h2,h3,h4,h5,h6,a,li {
		color: var(--ast-global-color-2);
	}
	.wp-block-button {
		/* Primary/Fill buttons */
		.wp-element-button, .wp-block-button__link {
			border: 5px solid var(--ast-global-color-2);
			color: var(--ast-global-color-2);
			background-color: var(--ast-global-color-4);
		}
		&:hover .wp-element-button, &:hover .wp-block-button__link {
			border: 5px solid var(--ast-global-color-2);
			color: var(--ast-global-color-1);
			background-color: var(--ast-global-color-2);
		}
		/* Secondary/Outline buttons */
		&.is-style-outline .wp-element-button {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-4);
			background-color: var(--ast-global-color-0);
		}
		&.is-style-outline:hover .wp-element-button {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-0);
			background-color: var(--ast-global-color-4);
		}
	}
}



/* Black Background */
.wp-block-group.is-style-rev21-dark {
	background-color: var(--ast-global-color-2);
	p,h1,h2,h3,h4,h5,h6,a,li {
		color: var(--ast-global-color-1);
	}
	.wp-block-button {
		/* Primary/Fill buttons */
		.wp-element-button, .wp-block-button__link {
			border: 5px solid var(--ast-global-color-1);
			color: var(--ast-global-color-2);
			background-color: var(--ast-global-color-1);
		}
		&:hover .wp-element-button, &:hover .wp-block-button__link {
			border: 5px solid var(--ast-global-color-1);
			color: var(--ast-global-color-1);
			background-color: var(--ast-global-color-2);
		}
		/* Secondary/Outline buttons */
		&.is-style-outline .wp-element-button {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-2);
			background-color: var(--ast-global-color-4);
		}
		&.is-style-outline:hover .wp-element-button {
			border: 5px solid var(--ast-global-color-4);
			color: var(--ast-global-color-4);
			background-color: var(--ast-global-color-2);
		}
	}
}

